Package: groovy.console.ui.text

## [Java] Class MatchingHighlighter

- groovy.console.ui.text.MatchingHighlighter

- All Implemented Interfaces and Traits:
    CaretListener

      public class MatchingHighlighter
      extends Object
      implements CaretListener

  Represents highlighter to highlight matched parentheses, brackets and curly braces when caret touching them

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MatchingHighlighter(SmartDocumentFilter smartDocumentFilter, JTextPane textEditor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `caretUpdate(CaretEvent e)`
    `` | `public void` | `highlight()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MatchingHighlighter(SmartDocumentFilter smartDocumentFilter, JTextPane textEditor)

  - ### Method Detail

    - #### @Override
      public void caretUpdate(CaretEvent e)

    - #### public void highlight()